Subject: RE: bug#3811: 23.0.96; custom-group-members

From: "Drew Adams" <[email-masked]>
Date: Wed, 15 Jul 2009 08:11:20 -0700

You're right; I was wrong. I think I must have tested it only on groups that
have only groups as members - group `editing', for example. Guess I didn't
realize I was doing that.

It might be useful to have another function (or perhaps another optional arg to
this function), which would act recursively to give you all members, indirect or
direct, that belong to the group - IOW, anything that belongs to the group or to
one of its subgroups (recursively).

In any case, what I said about the doc string remains true. There should be some
description of the alternative: "What should you expect if GROUPS-ONLY is nil,
other than groups? What else might be included in the list?"

Other than that, this can be closed.

> From: Stefan Monnier Sent: Wednesday, July 15, 2009 7:46 AM
> > emacs -Q
> > Dunno if this is just a doc bug or a code bug. 
> > `custom-group-members' seems to give the same result -
> > a list of groups, whether its second arg GROUPS-ONLY is nil
> > or t. I don't see any difference.
> 
> Can't reproduce it here:
>  
>    emacs -Q
>    M-x load-library RET cus-edit RET
>    M-: (custom-group-members 'custom-faces nil) RET
> 
> gives me a list of the members of that group, one of which is itself
> a group but the rest isn't:
> 
>    ((custom-magic-faces custom-group)
>     (custom-button custom-face)
>     (custom-button-mouse custom-face)
>     (custom-button-unraised custom-face)
>     (custom-button-pressed custom-face)
>     (custom-button-pressed-unraised custom-face)
>     (custom-documentation custom-face)
>     (custom-state custom-face)
>     (custom-link custom-face)
>     (custom-comment custom-face)
>     (custom-comment-tag custom-face)
>     (custom-variable-tag custom-face)
>     (custom-variable-button custom-face)
>     (custom-visibility custom-face)
>     (custom-face-tag custom-face)
>     (custom-group-tag-faces custom-variable)
>     (custom-group-tag-1 custom-face)
>     (custom-group-tag custom-face))